RegisterCommand('test', (source, args, raw) => {
    const netId = Number(args[0]);
    console.log(`Health:${GetEntityHealth(NetworkGetEntityFromNetworkId(netId))} - Armor:${GetPedArmour(NetworkGetEntityFromNetworkId(netId))}`);
}, false);

if(IsDuplicityVersion()) {
    RegisterCommand('createped', (source, args, raw) => {
        const playerPed = GetPlayerPed(source);
        const playerPos = GetEntityCoords(playerPed);
        const ped = CreatePed(26, GetHashKey("ig_abigail"), playerPos[0]+0.05,  playerPos[1]+0.05,  playerPos[2]+0.05, 0, true, false);
        console.log(`pedHandle:${ped} netId:${NetworkGetNetworkIdFromEntity(ped)}`);
    }, false);
}
else {

    RegisterCommand('weapon', (source, args, raw) => {
        GiveWeaponToPed(PlayerPedId(), GetHashKey("WEAPON_MICROSMG"), 100, false, true);
    }, false);
    RegisterCommand('revive', (source, args, raw) => {
        const ped = NetworkGetEntityFromNetworkId(Number(args[0]));
        ReviveInjuredPed(ped);
        SetEntityMaxHealth(ped, 300);
        SetEntityHealth(ped, 300);
        SetPedArmour(ped, 100);
        SetEntityCollision(ped, true, false);
        ClearPedTasksImmediately(ped);
    }, false);
    RegisterCommand('test', (source, args, raw) => {
        const netId = Number(args[0]);
        console.log(`Health:${GetEntityHealth(NetworkGetEntityFromNetworkId(netId))} - Armor:${GetPedArmour(NetworkGetEntityFromNetworkId(netId))}`);
    }, false);
    RegisterCommand('resurrect', (source, args, raw) => {
        const ped = NetworkGetEntityFromNetworkId(Number(args[0]));
        ResurrectPed(ped);
        SetEntityMaxHealth(ped, 300);
        SetEntityHealth(ped, 300);
        SetPedArmour(ped, 100);
        SetEntityCollision(ped, true, false);
        ClearPedTasksImmediately(ped);
    }, false);
}
